%global        commit0       35ffa7b1f6ba11f5bda6930acc4200c45aa30662
%global        shortcommit0  %(c=%{commit0}; echo ${c:0:7})

Name:          libfastlz
Version:       0.1
Release:       3%{?dist}
License:       BSD
Summary:       zlib-like interface to fast block compression (LZ4 or FastLZ) libraries
Url:           https://github.com/bareos/fastlzlib
Group:         Development/Libraries
Source0:       https://github.com/bareos/fastlzlib/archive/%{commit0}.tar.gz#/%{name}-%{version}.tar.gz

Patch0:        Makefile-docdir.patch

BuildRequires: gcc
BuildRequires: make
BuildRequires: zlib-devel
BuildRequires: automake
BuildRequires: chrpath

%description
zlib-like interface to fast block compression (LZ4 or FastLZ) libraries

%package devel
Group:         Development/Libraries
Summary:       zlib-like interface to fast block compression (LZ4 or FastLZ) libraries devel package
Requires:      %name = %version

%description devel
zlib-like interface to fast block compression (LZ4 or FastLZ) libraries - devel package

%prep
%setup -q -n fastlzlib-%{commit0}
%patch0 -p0

%build
%configure --docdir=%{_docdir}/%{name}
%make_build

%install
%make_install

# Remove superfluous lz4 header files.
rm -fv %{buildroot}%{_includedir}/lz4.h
rm -fv %{buildroot}%{_includedir}/lz4hc.h

# Fix broken RPATH.
chrpath --delete %{buildroot}%{_bindir}/fastlzcat

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%{_bindir}/fastlzcat
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/fastlz.h
%{_includedir}/fastlzlib.h
%{_includedir}/fastlzlib-zlib.h
%{_libdir}/%{name}.la
%{_libdir}/%{name}.so
%{_libdir}/%{name}.a

%changelog
* Thu Oct 10 2019 Daniel Uvehag <daniel.uvehag@gmail.com> 0.1-3
- Remove lz4 header files as they collide with lz4-devel

* Mon Mar 11 2019 Daniel Uvehag <daniel.uvehag@gmail.com> 0.1-2
- Rebase to Bareos' fork
- Add patch to Makefile.{in,am} to support docdir

* Fri Jun 15 2018 Daniel Uvehag <daniel.uvehag@gmail.com> 0.1-1
- Initial package
